from PySide2 import QtWidgets


class LocalisedPushButton(QtWidgets.QPushButton):
    def __init__(self, NativeUI, text_key, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.text_key = text_key
        self.setStyleSheet(
            "QPushButton{"
            "   color:" + NativeUI.colors["button_foreground_enabled"].name() + ";"
            "   background-color:"
            + NativeUI.colors["button_background_enabled"].name()
            + ";"
            "   border:none;"
            "}"
            "QPushButton::pressed{"
            "   background-color:" + NativeUI.colors["highlight"].name() + ";"
            "}"
        )
        self.localise_text(NativeUI.text)

    def localise_text(self, text: dict) -> int:
        self.setText(text[self.text_key])
        return 0
